Bug 546694 (CVE-2009-3979) - CVE-2009-3979 Mozilla crash with evidence of memory corruption
Summary: CVE-2009-3979 Mozilla crash with evidence of memory corruption
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3979
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 17:57 UTC by Josh Bressers
Modified: 2019-09-29 12:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 22:01:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1673 normal SHIPPED_LIVE Critical: seamonkey security update 2009-12-16 04:37:30 UTC
Red Hat Product Errata RHSA-2009:1674 normal SHIPPED_LIVE Critical: firefox security update 2009-12-16 05:03:54 UTC
Red Hat Product Errata RHSA-2010:0153 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 12:38:49 UTC
Red Hat Product Errata RHSA-2010:0154 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 13:22:56 UTC

Description Josh Bressers 2009-12-11 17:57:51 UTC
Mozilla developers and community members identified and fixed several stability bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these crashes showed evidence of memory corruption under certain circumstances and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

Jesse Ruderman, Josh Soref, Martijn Wargers, Jose Angel, and Olli Pettay reported crashes in the browser engine which affected both Firefox 3 and Firefox 3.5.

Comment 1 errata-xmlrpc 2009-12-16 04:37:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:1673 https://rhn.redhat.com/errata/RHSA-2009-1673.html

Comment 2 errata-xmlrpc 2009-12-16 05:03:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1674 https://rhn.redhat.com/errata/RHSA-2009-1674.html

Comment 3 Fedora Update System 2009-12-18 04:31:28 UTC
firefox-3.5.6-1.fc11, epiphany-extensions-2.26.1-9.fc11, yelp-2.26.0-10.fc11, ruby-gnome2-0.19.3-5.fc11, perl-Gtk2-MozEmbed-0.08-6.fc11.8, mozvoikko-0.9.7-0.10.rc1.fc11, monodevelop-2.0-8.fc11, Miro-2.5.2-7.fc11, kazehakase-0.5.8-4.fc11, google-gadgets-0.11.1-4.fc11, hulahop-0.4.9-11.fc11, gnome-web-photo-0.7-9.fc11, galeon-2.0.7-19.fc11, gnome-python2-extras-2.25.3-10.fc11, evolution-rss-0.1.4-9.fc11, blam-1.8.5-17.fc11, pcmanx-gtk2-0.3.8-11.fc11, epiphany-2.26.3-7.fc11, chmsee-1.0.1-14.fc11, xulrunner-1.9.1.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2009-12-18 04:36:05 UTC
seamonkey-2.0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-12-18 04:37:17 UTC
gnome-python2-extras-2.25.3-14.fc12, mozvoikko-1.0-7.fc12, gnome-web-photo-0.9-4.fc12, galeon-2.0.7-19.fc12, Miro-2.5.2-7.fc12, firefox-3.5.6-1.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.10, blam-1.8.5-21.fc12, xulrunner-1.9.1.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2010-03-17 12:39:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0153 https://rhn.redhat.com/errata/RHSA-2010-0153.html

Comment 7 errata-xmlrpc 2010-03-17 13:25:33 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0154 https://rhn.redhat.com/errata/RHSA-2010-0154.html


Note You need to log in before you can comment on or make changes to this bug.